aboutsummaryrefslogtreecommitdiffstats
path: root/core/libpcap/APKBUILD
diff options
context:
space:
mode:
Diffstat (limited to 'core/libpcap/APKBUILD')
-rw-r--r--core/libpcap/APKBUILD14
1 files changed, 10 insertions, 4 deletions
diff --git a/core/libpcap/APKBUILD b/core/libpcap/APKBUILD
index 3db64d26cf..ebe0996161 100644
--- a/core/libpcap/APKBUILD
+++ b/core/libpcap/APKBUILD
@@ -1,19 +1,24 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=libpcap
pkgver=1.0.0
-pkgrel=0
+pkgrel=1
pkgdesc="A system-independent interface for user-level packet capture"
url="http://www.tcpdump.org/"
license="BSD"
depends="uclibc"
makedepends="bison flex"
source="http://www.tcpdump.org/release/$pkgname-$pkgver.tar.gz
- $pkgname-1.0.0-LDFLAGS.patch"
+ $pkgname-1.0.0-LDFLAGS.patch
+ $pkgname-any.patch"
subpackages="$pkgname-doc $pkgname-dev"
build ()
{
cd ${startdir}/src/${pkgname}-${pkgver}
- patch -Np1 -i ${startdir}/libpcap-1.0.0-LDFLAGS.patch || return 1
+ for i in ../*.patch; do
+ msg "Applying $i..."
+ patch -p1 -i $i || return 1
+ done
./configure --prefix=/usr --enable-ipv6
@@ -26,4 +31,5 @@ build ()
# ln -s ../pcap-bpf.h bpf.h
}
md5sums="9ad1358c5dec48456405eac197a46d3d libpcap-1.0.0.tar.gz
-2bf7e986980c6e5d99758ba55b48d706 libpcap-1.0.0-LDFLAGS.patch"
+2bf7e986980c6e5d99758ba55b48d706 libpcap-1.0.0-LDFLAGS.patch
+1e6b01c4f283b497e81e137c3f35e744 libpcap-any.patch"